summaryrefslogtreecommitdiff
path: root/ddclient
diff options
context:
space:
mode:
authorDanny Rawlins <romster@shortcircuit.net.au>2008-03-31 00:57:50 +1000
committerDanny Rawlins <romster@shortcircuit.net.au>2008-03-31 00:57:50 +1000
commit85581769beba84658fb877a2e01ddc5255ddf3b8 (patch)
tree69a4347f5c5fc39be4b923dddafe6f366316a562 /ddclient
parenta9c7dd889c3f554924b30d36e55910763c1d07af (diff)
downloadcontrib-85581769beba84658fb877a2e01ddc5255ddf3b8.tar.gz
contrib-85581769beba84658fb877a2e01ddc5255ddf3b8.tar.xz
ddclient: add in missing rc script
Diffstat (limited to 'ddclient')
-rw-r--r--ddclient/ddclient.rc27
1 files changed, 27 insertions, 0 deletions
diff --git a/ddclient/ddclient.rc b/ddclient/ddclient.rc
new file mode 100644
index 000000000..e6aefa569
--- /dev/null
+++ b/ddclient/ddclient.rc
@@ -0,0 +1,27 @@
+#!/usr/bin/env sh
+#
+# /etc/rc.d/ddclient Start or stop dynamic DNS service
+#
+
+export COLUMNS=9999
+
+case "$1" in
+ start)
+ /usr/sbin/ddclient -syslog -daemon 0
+ ;;
+ stop)
+ killall -q ddclient
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: ddclient start|stop|restart"
+ exit 1
+ ;;
+esac
+
+exit 0
+
+#End of file

Generated by cgit